mscorlib 4.0.0.0 System.Object To be added.

For more information, see Custom Partitioners for PLINQ and TPL.

Represents a particular manner of splitting a data source into multiple partitions.

- Constructor
  4.0.0.0
  To be added.

  Creates a new partitioner instance.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<TSource>

  The returned object implements the interface. Calling on the object creates another partition over the sequence.

  The method is only supported if the property returns true. For more information, see Custom Partitioners for PLINQ and TPL.

  Creates an object that can partition the underlying collection into a variable number of partitions.

  An object that can create partitions over the underlying data source.

- Method
  4.0.0.0
  System.Collections.Generic.IList<System.Collections.Generic.IEnumerator<TSource>> ``

  A class that implements this method is expected to return exactly the number of partitions that are specified in . If a partition contains no elements, then return an empty enumerator rather than null (Nothing in Visual Basic). For more information, see Custom Partitioners for PLINQ and TPL.

  Partitions the underlying collection into the given number of partitions.

  A list containing enumerators.

  The number of partitions to create.
- Property
  4.0.0.0
  System.Boolean To be added.

  If a derived class does not override and implement , should return false. The value of should not vary over the lifetime of this instance. For more information, see Custom Partitioners for PLINQ and TPL.

  Gets whether additional partitions can be created dynamically.